<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" version="1.0" encoding="ISO-8859-1" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Exempeldiarium</title>
				<link rel="stylesheet" type="text/css" href="Exempeldiarium.css"/>
			</head>
			<body>
				<table class="bdrless">
					<tr>
						<td>
							<table class="bdrless">
								<tr>
									<th class="title" align="right">Exempeldiarium</th>
								</tr>
							</table>
							<table class="bdrless">
								<tr>
									<th align="left">Arkivbildare:</th>
									<td colspan="5">
										<xsl:value-of select="Exempelmyndigheten/Arkivbildare"/>
									</td>
								</tr>
								<tr>
									<th align="left">Beskrivning:</th>
									<td colspan="5">
										<xsl:value-of select="Exempelmyndigheten/Beskrivning"/>
									</td>
								</tr>
								<tr>
									<th align="left">Kommentar:</th>
									<td colspan="5">
										<xsl:value-of select="Exempelmyndigheten/Kommentar"/>
									</td>
								</tr>
							</table>
							<br/>
						</td>
					</tr>
				</table>
				<table class="tabell" cellpadding="30">
					<tr bgcolor="#b1b5b7">
						<td>

							<!--ÄRENDEN-->
							<xsl:for-each select="Exempelmyndigheten/AErenden/AErende">
								<table class="aerendetab" Border="2" cellspacing="3" cellpadding="0">
									<tr bgcolor="#E0E0E0">
										<td height="20px" margin-bottom="10">
											<table class="tabell" Border="0" cellspacing="1"
												cellpadding="2">
												<tr bgcolor="#05729b">
												<td colspan="8" class="rubrik2"> ÄRENDE -
												Diarienummer: <xsl:value-of select="Diarienummer"
												/>
												</td>
												<xsl:choose>
												<xsl:when test="Riktning = 'I'">
												<td class="rubrik2" align="right">Riktning: </td>
												<td class="rubrik2" align="right"
												bgcolor="#82e0aa">
												<xsl:value-of select="Riktning"/>
												</td>
												</xsl:when>
												<xsl:when test="Riktning = 'X'">
												<td class="rubrik2" align="right">Riktning: </td>
												<td class="rubrik2" align="right"
												bgcolor="#f7dc6f">
												<xsl:value-of select="Riktning"/>
												</td>
												</xsl:when>
												<xsl:otherwise>
												<td class="rubrik2" align="right">Riktning: </td>
												<td class="rubrik2" align="right"
												bgcolor="#f1948a">
												<xsl:value-of select="Riktning"/>
												</td>
												</xsl:otherwise>
												</xsl:choose>
												</tr>
												<tr>
												<th>Dossiernummer och rubrik från
												diarieplanen:</th>
												<td>
												<xsl:value-of select="Diarieplan/Dossiernummer"/>
												<xsl:text> </xsl:text>
												<xsl:value-of select="Diarieplan/Rubrik"/>
												</td>
												<th>Inkomst/Upprättat datum:</th>
												<td>
												<xsl:value-of select="Inkomst_uppraettat_datum"/>
												</td>
												<th>Registreringsdatum:</th>
												<td>
												<xsl:value-of select="Registreringsdatum"/>
												</td>
												<th>Registrator:</th>
												<td>
												<xsl:value-of select="Registrator"/>
												</td>
												</tr>
												<th>Avslutsdatum:</th>
												<td>
												<xsl:value-of select="Avslutsdatum"/>
												</td>
												<th>Status:</th>
												<td>
												<xsl:value-of select="Status"/>
												</td>
												<th>Handläggare:</th>
												<td>
												<xsl:value-of select="Handlaeggare"/>
												</td>
												<tr>
												<th>Ärendemening:</th>
												<td>
												<xsl:value-of select="AErendemening"/>
												</td>
												<th>Motpartens beteckning:</th>
												<td>
												<xsl:value-of select="Motpartens_beteckning"/>
												</td>
												<th>Från/Till:</th>
												<td>
												<xsl:value-of select="Fraan_till"/>
												</td>
												</tr>
											</table>

											<!--HÄNDELSER-->
											<xsl:for-each select="Haendelser/Haendelse">
												<table class="tabell" Border="2" cellspacing="3"
												cellpadding="0">
												<tr bgcolor="#E0E0E0">
												<td height="20px">
												<table class="tabell" Border="0" cellspacing="1"
												cellpadding="2">
												<tr bgcolor="#69C0BC">
												<td colspan="8" class="rubrik2">HÄNDELSE -
												Löpnummer: <xsl:value-of select="Loepnummer"/>
												</td>
												<xsl:choose>
												<xsl:when test="Riktning = 'I'">
												<td class="rubrik2" align="right">Riktning: </td>
												<td class="rubrik2" align="right"
												bgcolor="#82e0aa">
												<xsl:value-of select="Riktning"/>
												</td>
												</xsl:when>
												<xsl:when test="Riktning = 'X'">
												<td class="rubrik2" align="right">Riktning: </td>
												<td class="rubrik2" align="right"
												bgcolor="#f7dc6f">
												<xsl:value-of select="Riktning"/>
												</td>
												</xsl:when>
												<xsl:otherwise>
												<td class="rubrik2" align="right">Riktning: </td>
												<td class="rubrik2" align="right"
												bgcolor="#f1948a">
												<xsl:value-of select="Riktning"/>
												</td>
												</xsl:otherwise>
												</xsl:choose>
												</tr>
												<tr>
												<th>Händelsetext:</th>
												<td>
												<xsl:value-of select="Haendelsetext"/>
												</td>
												<th>Handlingsmening:</th>
												<td>
												<xsl:value-of select="Handlingsmening"/>
												</td>
												</tr>
												<tr>
												<th>Inkommandedatum:</th>
												<td>
												<xsl:value-of select="Inkommandedatum"/>
												</td>
												<th>Utgåndedatum:</th>
												<td>
												<xsl:value-of select="Utgaaendedatum"/>
												</td>								
												</tr>
												<tr>
												<th>Registrator:</th>
												<td>
												<xsl:value-of select="Registrator"/>
												</td>
												<th>Handläggare:</th>
												<td>
												<xsl:value-of select="Handlaeggare"/>
												</td>
												</tr>
												<tr>
												<th>Motpart:</th>
												<td>
												<xsl:value-of select="Motpart"/>
												</td>
												</tr>
												<tr>
												<th>Bifogad fil:</th>
												<td>
												<xsl:value-of select="Fil/Filnamn"/>
												</td>
												</tr>
												</table>
												</td>
												</tr>
												</table>
											</xsl:for-each>

											<!--LOGG-->
											<xsl:for-each select="Logg">
												<table class="tabell" Border="2" cellspacing="3"
												cellpadding="0">
												<tr bgcolor="#E0E0E0">
												<td height="20px">
												<table class="tabell" Border="0" cellspacing="1"
												cellpadding="2">
												<tr bgcolor="#9CD4E6">
												<td colspan="8" class="rubrik2">LOGG</td>
												</tr>
												<th>Fältnamn:</th>
												<td>
												<xsl:value-of select="Faeltnamn"/>
												</td>
												<th>Ändringsdatum:</th>
												<td>
												<xsl:value-of select="AEndringsdatum"/>
												</td>
												<th>Registrator:</th>
												<td>
												<xsl:value-of select="Registrator"/>
												</td>
												</table>
												</td>
												</tr>
												</table>
											</xsl:for-each>
										</td>
									</tr>
								</table>
							</xsl:for-each>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
